Skip to main content

List incoming Invoices of a contributor

GET/v2/contributors/{contributorId}/invoices/incoming
API version
v2
Request method
GET
Operation ID
contributor-list-incoming-invoices

Request​

  • contributorIdstringrequired
    Example:"ac3c8bbe-4c44-4f34-b6c7-1e6af48c3a7c"

Responses​

Response headers
  • X-Pagination-Limitinteger

    The limit used to select the resources for the response

  • X-Pagination-Skipinteger

    The number of skipped items

  • X-Pagination-Pagenumber

    The calculate page of the list response. Refer to parameters to learn more.

  • X-Pagination-TotalCountinteger

    The total amount of items available in the remote ressource. Use this value in combination with the limit to calculate the available pages.

Format
application/json
Description

List of incoming Invoices

  • Array[
    • *object
      • currencystringrequired
      • customerIdstringrequired
      • customerNamestringrequired
      • customerNumberstringrequired
      • datestring (date-time)required
      • idstring (uuid)required
      • invoiceNumberstringrequired
      • invoiceTypestring (one of: REGULAR, CORRECTION, REISSUE, CANCELLATION)
      • pdfIdstring (uuid)required
      • recipientobjectrequired
        • addressobjectrequired
          • streetstringrequired
          • houseNumberstringrequired
          • citystringrequired
          • zipstringrequired
          • countryCodestringrequired

            ISO 3166-1 alpha-2 country code

          • addressPrefixstring
        • companystring
        • emailAddressstring (email)
        • firstNamestring
        • lastNamestring
        • leitwegIdstring (≤ 46 characters)

          German electronic invoicing routing ID (XRechnung). Only allowed for public authorities and requires a company.

        • phoneNumbersarray of string
          • Array[
            • *string
            ]
        • purchaseOrderReferencestring (≤ 200 characters)

          Purchase order reference printed on the invoice. Not allowed together with a leitwegId.

        • salutationstring (one of: mr, ms, other)required
        • titlestring
        • useFormalTermboolean
      • totalGrossnumberrequired
      • totalNetnumberrequired
    ]
Content-Type: application/json

[
{
"currency": "EUR",
"customerId": "6439a2f4-5de2-4314-bae2-b6edb4eb4c37",
"customerName": "Meine Organisation",
"customerNumber": "4151123",
"date": "1985-10-26T01:21:00.000Z",
"id": "f0f86186-0a5a-45b2-aa33-502777496347",
"invoiceNumber": "RG1234567",
"invoiceType": "REGULAR",
"pdfId": "f0f86186-0a5a-45b2-aa33-502777496347",
"recipient": {
"address": {
"street": "Königsberger Straße",
"houseNumber": "4-6",
"city": "Espelkamp",
"zip": "32339",
"countryCode": "DE",
"addressPrefix": "c/o Ada Lovelace"
},
"company": "Mittwald CM Service GmbH & Co. KG",
"emailAddress": "email@mittwald.example",
"firstName": "Ada",
"lastName": "Lovelace",
"leitwegId": "string",
"phoneNumbers": [
"+49 123 4567890"
],
"purchaseOrderReference": "string",
"salutation": "mr",
"title": "Dr.",
"useFormalTerm": true
},
"totalGross": 595,
"totalNet": 500
}
]
{
"items": {
"properties": {
"currency": {
"example": "EUR",
"type": "string"
},
"customerId": {
"example": "6439a2f4-5de2-4314-bae2-b6edb4eb4c37",
"type": "string"
},
"customerName": {
"example": "Meine Organisation",
"type": "string"
},
"customerNumber": {
"example": "4151123",
"type": "string"
},
"date": {
"format": "date-time",
"type": "string"
},
"id": {
"format": "uuid",
"type": "string"
},
"invoiceNumber": {
"example": "RG1234567",
"type": "string"
},
"invoiceType": {
"enum": [
"REGULAR",
"CORRECTION",
"REISSUE",
"CANCELLATION"
],
"type": "string"
},
"pdfId": {
"format": "uuid",
"type": "string"
},
"recipient": {
"properties": {
"address": {
"type": "object",
"properties": {
"street": {
"type": "string",
"example": "Königsberger Straße"
},
"houseNumber": {
"type": "string",
"example": "4-6"
},
"city": {
"type": "string",
"example": "Espelkamp"
},
"zip": {
"type": "string",
"example": "32339"
},
"countryCode": {
"type": "string",
"example": "DE",
"description": "ISO 3166-1 alpha-2 country code"
},
"addressPrefix": {
"type": "string",
"example": "c/o Ada Lovelace"
}
},
"required": [
"street",
"houseNumber",
"city",
"zip",
"countryCode"
]
},
"company": {
"example": "Mittwald CM Service GmbH & Co. KG",
"type": "string"
},
"emailAddress": {
"format": "email",
"type": "string"
},
"firstName": {
"example": "Ada",
"type": "string"
},
"lastName": {
"example": "Lovelace",
"type": "string"
},
"leitwegId": {
"description": "German electronic invoicing routing ID (XRechnung). Only allowed for public authorities and requires a company.",
"maxLength": 46,
"type": "string"
},
"phoneNumbers": {
"items": {
"example": "+49 123 4567890",
"type": "string"
},
"type": "array"
},
"purchaseOrderReference": {
"description": "Purchase order reference printed on the invoice. Not allowed together with a leitwegId.",
"maxLength": 200,
"type": "string"
},
"salutation": {
"type": "string",
"enum": [
"mr",
"ms",
"other"
]
},
"title": {
"example": "Dr.",
"type": "string"
},
"useFormalTerm": {
"type": "boolean"
}
},
"required": [
"address",
"salutation"
],
"type": "object"
},
"totalGross": {
"example": 595,
"type": "number"
},
"totalNet": {
"example": 500,
"type": "number"
}
},
"required": [
"id",
"invoiceNumber",
"customerId",
"customerNumber",
"customerName",
"date",
"pdfId",
"recipient",
"totalNet",
"totalGross",
"currency"
],
"type": "object"
},
"type": "array"
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/contributors/string/invoices/incoming?search=string&limit=50&page=1&sort=invoiceNumber&order=asc
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.marketplace.contributorListIncomingInvoices({
"contributorId": "string",
"queryParameters": {
"search": "string",
"limit": 50,
"page": 1,
"sort": [
"invoiceNumber"
],
"order": [
"asc"
]
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Marketplace\ContributorListIncomingInvoices\ContributorListIncomingInvoicesRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ContributorListIncomingInvoicesRequest(
contributorId: "string"
))
->withSearch("string")
->withLimit(50)
->withPage(1)
->withSort(["invoiceNumber"])
->withOrder(["asc"]);
$response = $client->marketplace()->contributorListIncomingInvoices($request);

var_dump($response->getBody();

On this page